import java.awt.*;
import java.awt.event.*;
import java.sql.*;
import javax.swing.*;

public class ciktipaneli extends JPanel {
   private JButton findName, addName,
                   updateName, clear, help;

   public ciktipaneli( Connection c, adrespanel s,
                        JTextArea t )
   {
      setLayout( new GridLayout( 1, 5 ) );

      findName = new JButton( "BUL" );
      findName.addActionListener( new adresbul( c, s, t ) );
      add( findName );

      addName = new JButton( "EKLE" );
      addName.addActionListener( new adresgir( c, s, t ) );
      add( addName );

      updateName = new JButton( "DEĞİŞTİR" );
      updateName.addActionListener(
         new adresdegistir( c, s, t ) );
      add( updateName );

      clear = new JButton( "SİL" );
      clear.addActionListener( new adressil( s ) );
      add( clear );

      help = new JButton( "YARDIM" );
      help.addActionListener( new yardim( t ) );
      add( help );
   }
}

